#include <iostream>
#include<string>
#include<vector>
using namespace std;

int main()
{
    int br=0,j;
    int n;cin>>n;
    vector<int> a(n),b(n);
    for(int i=1;i<=n;i++){
       cin>>a[i];
       if(a[i]<a[i-1])
          b[i]=1;}
    int q;cin>>q;
    string t[q];
    for(int i=0;i<q;i++){
        int p,k;
        cin>>p>>k;
        t[i]="DA";
        if(k-p>2)
          for(int j=p;j<=k;j++){
            br+=b[j];
            if(br==2){
            t[i]="NE";
            break;}
          }
        br=0;
    }
    a.clear();
    b.clear();
    for(int i=0;i<q;i++)
         cout<<t[i]<<endl;

    return 0;
}